<div id="AgrisnapUsers" style="display:none" class="well NrlDialog" data-ng-controller="AgrisnapUsers.PageController" data-on-key-down="navigateBackward()" data-keys="[27]">
    <div data-on-key-down="onEscWhileInDialog()" data-keys="[27]">
        <div data-alert="" data-ng-repeat="alert in pageModel.alerts" data-type="alert.type" data-close="closeAlert($index)">
            <div data-ng-bind-html-unsafe="alert.msg"></div>
        </div>
        <div id="AgrisnapUsers_ControllerGrpAgrisnapUsers" data-ng-controller="AgrisnapUsers.ControllerGrpAgrisnapUsers" data-ng-class="'FloatLeft'" data-ng-show="!isInvisible()" >
            <div class="FormArea"  >
                <table>
                    <tr>
                        <td colspan="1" style="width:16%" >
                            <label class="pull-left" for="GrpAgrisnapUsers_itm__agrisnapName"  data-ng-bind="getALString('Full Name')"  data-ng-class="!GrpAgrisnapUsers_itm__agrisnapName_disabled(modelGrpAgrisnapUsers.selectedEntities[0])&&true&&'requiredAsterisk'" />
                        </td>
                        <td colspan="1" style="width:16%" >
                            <label class="pull-left" for="GrpAgrisnapUsers_itm__agrisnapUid"  data-ng-bind="getALString('AgriSnap UserId')"  data-ng-class="!GrpAgrisnapUsers_itm__agrisnapUid_disabled(modelGrpAgrisnapUsers.selectedEntities[0])&&true&&'requiredAsterisk'" />
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                    </tr>
                    <tr>
                        <td colspan="1" style="width:16%" >
                            <input name='GrpAgrisnapUsers_itm__agrisnapName' data-ng-model='modelGrpAgrisnapUsers.selectedEntities[0].agrisnapName' data-np-ui-model='modelGrpAgrisnapUsers.selectedEntities[0]._agrisnapName' data-ng-change='markEntityAsUpdated(modelGrpAgrisnapUsers.selectedEntities[0],&quot;agrisnapName&quot;)' data-np-required='true' data-ng-readonly='GrpAgrisnapUsers_itm__agrisnapName_disabled(modelGrpAgrisnapUsers.selectedEntities[0])' data-np-text='dummy' />
                        </td>
                        <td colspan="1" style="width:16%" >
                            <input name='GrpAgrisnapUsers_itm__agrisnapUid' data-ng-model='modelGrpAgrisnapUsers.selectedEntities[0].agrisnapUid' data-np-ui-model='modelGrpAgrisnapUsers.selectedEntities[0]._agrisnapUid' data-ng-change='markEntityAsUpdated(modelGrpAgrisnapUsers.selectedEntities[0],&quot;agrisnapUid&quot;)' data-np-required='true' data-ng-readonly='GrpAgrisnapUsers_itm__agrisnapUid_disabled(modelGrpAgrisnapUsers.selectedEntities[0])' data-np-text='dummy' />
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                    </tr>
                </table>
            </div>
            <div style='margin:1em 0'></div>
            <div id="AgrisnapUsers_ControllerGrpAgrisnapUsersProducers" data-ng-controller="AgrisnapUsers.ControllerGrpAgrisnapUsersProducers" data-ng-class="'FloatLeft'" data-ng-show="!isInvisible()" >
                <div data-on-key-down="gridPageUp()" data-keys="[33]" class="NpTable">
                    <div class="TopGridArea">
                        <button data-np-click="createNewEntityAndAddToUI()" data-ng-disabled="newIsDisabled()" ><i class="icon new"></i>{{getALString("New Record")}}</button>
                        <button data-ng-click="model.showSearchParams=!model.showSearchParams" data-ng-class="'FiltersOn'" ><i class="icon filter" />{{getALString("Show Filters")}}</button>
                        <h3>{{getALString(gridTitle())}}</h3>
                    </div>
                    <div class="GridSearchArea" data-ng-show="model.showSearchParams">
                        <table>
                            <tr>
                                <td colspan="1" style="width:16%" >
                                    <label class="pull-left" for="GrpAgrisnapUsersProducers_srchr__fsch_producersId"  data-ng-bind="getALString('Producer')"   />
                                </td>
                                <td colspan="1" style="width:16%" >
                                    <label class="pull-left" for="GrpAgrisnapUsersProducers_srchr__fsch_dteRelCreated"  data-ng-bind="getALString('Relation Created')"   />
                                </td>
                                <td colspan="1" style="width:16%" >
                                    <label class="pull-left" for="GrpAgrisnapUsersProducers_srchr__fsch_dteRelCanceled"  data-ng-bind="getALString('Relation Ended')"   />
                                </td>
                                <td colspan="1"  >
                                </td>
                                <td colspan="1"  >
                                </td>
                                <td colspan="1"  >
                                </td>
                            </tr>
                            <tr>
                                <td colspan="1" style="width:16%" >
                                    <div data-on-key-down='!GrpAgrisnapUsersProducers_srchr__fsch_producersId_disabled() && showLov_GrpAgrisnapUsersProducers_srchr__fsch_producersId()' data-keys='[123]' >
                                    <input data-np-source='modelGrpAgrisnapUsersProducers.fsch_producersId.prodName' data-np-ui-model='modelGrpAgrisnapUsersProducers._fsch_producersId'  data-np-context=''  data-np-lookup="" class='npLovInput' name='GrpAgrisnapUsersProducers_srchr__fsch_producersId' readonly='true'  > 
                                    <button class='npLovButton' type='button' data-np-click='showLov_GrpAgrisnapUsersProducers_srchr__fsch_producersId()'   data-ng-disabled="GrpAgrisnapUsersProducers_srchr__fsch_producersId_disabled()"   /> 
                                    </div>
                                </td>
                                <td colspan="1" style="width:16%" >
                                    <input name='GrpAgrisnapUsersProducers_srchr__fsch_dteRelCreated' data-ng-model='modelGrpAgrisnapUsersProducers.fsch_dteRelCreated' data-np-ui-model='modelGrpAgrisnapUsersProducers._fsch_dteRelCreated' data-ng-readonly='GrpAgrisnapUsersProducers_srchr__fsch_dteRelCreated_disabled()' data-np-date='dummy' data-np-format='dd-MM-yyyy' />
                                </td>
                                <td colspan="1" style="width:16%" >
                                    <input name='GrpAgrisnapUsersProducers_srchr__fsch_dteRelCanceled' data-ng-model='modelGrpAgrisnapUsersProducers.fsch_dteRelCanceled' data-np-ui-model='modelGrpAgrisnapUsersProducers._fsch_dteRelCanceled' data-ng-readonly='GrpAgrisnapUsersProducers_srchr__fsch_dteRelCanceled_disabled()' data-np-date='dummy' data-np-format='dd-MM-yyyy' />
                                </td>
                                <td colspan="1"  >
                                </td>
                                <td colspan="1"  >
                                </td>
                                <td colspan="1"  >
                                </td>
                            </tr>
                        </table>
                        <div class="GridSearchAreaFooter">
                            <button data-np-click="updateGrid()"><i class="icon search" />{{getALString("Search")}}</button>
                            <button data-np-click="clearBtnAction()"><i class="icon clear" />{{getALString("Clear")}}</button>
                        </div>
                    </div>
                    <div data-on-key-down="gridPageDown()" data-keys="[34]">
                        <div id="GrpAgrisnapUsersProducers_tableId" data-ng-grid="modelGrpAgrisnapUsersProducers.grid" class="gridStyle">
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div>
            <div class="saveCancel">
                <button  id="saveBtn_id"   data-np-click  ="onSaveBtnAction()" data-ng-class="" 
                data-ng-disabled="saveIsDisabled()"  >
                    <i class="icon save"/>
                    {{getALString(getLabelById('saveBtn_id'))}}
                </button>

                <button  id="cancelBtn_id"   data-np-click  ="onCancelBtnAction()" data-ng-class="" 
                data-ng-disabled="cancelIsDisabled()"  >
                    <i class="icon back"/>
                    {{getALString(getLabelById('cancelBtn_id'))}}
                </button>

            </div>
        </div>
        <div style="clear:both"></div>
    </div>
</div>
